
Packaging - Bug #19600

Foreman 1.15 install failing on GPG key error

05/19/2017 10:22 AM - John Mitsch

Status: Resolved   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I got this error after following the steps in the documentation, this was on RHEL 7 server.

I tried yum clean all with no luck, for a workaround I can turn off GPG checking

 Execution of '/usr/bin/yum -d 0 -e 0 -y install foreman-release-scl' returned 1: warning: /var/ca

che/yum/x86_64/7Server/foreman/packages/centos-release-scl-2-2.el7.centos.noarch.rpm: Header V3 RS

A/SHA256 Signature, key ID f4a80eb5: NOKEY

Public key for centos-release-scl-2-2.el7.centos.noarch.rpm is not installed

The GPG keys listed for the "Foreman 1.15" repository are already installed but they are not corre

ct for this package.

Check that the correct key URLs are configured for this repository.

 Failing package is: centos-release-scl-rh-2-2.el7.centos.noarch

 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-foreman

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/execution.rb:235:in `execute'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider.rb:101:in `execute'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/package/yum.rb:196:in `install'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type/package.rb:88:in `block (3 levels) in <mod

ule:Puppet>'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:487:in `set'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:561:in `sync'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:236:in `sync'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in `sync_if

_needed'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:80:in `perform_

changes'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:21:in `evaluate

'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:230:in `apply'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:246:in `eval_resource'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:163:in `call'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:163:in `block (2 levels) in eval

uate'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:387:in `block in thinmark'

/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `realtime'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:386:in `thinmark'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:163:in `block in evaluate'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:118:in `traverse'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:154:in `evaluate'

/usr/share/gems/gems/kafo-2.0.0/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb

:30:in `evaluate_with_trigger'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:222:in `block in apply'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:155:in `with_destination'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:142:in `as_logging_destin

ation'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:221:in `apply'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:171:in `block in apply_catalog'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:224:in `block in benchmark'

/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `realtime'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223:in `benchmark'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:170:in `apply_catalog'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:343:in `run_internal'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:221:in `block in run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:294:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:195:in `run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:350:in `apply_catalog'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:274:in `block in main'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:294:in `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:225:in `main'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:170:in `run_command'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:358:in `block in run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:542:in `exit_on_fail'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:358:in `run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:132:in `run'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:72:in `execute'

/opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

 /Stage[main]/Foreman::Repos::Extra/Package[foreman-release-scl]/ensure: change from purged to pre

sent failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install foreman-release-scl' returned 1: warn

ing: /var/cache/yum/x86_64/7Server/foreman/packages/centos-release-scl-2-2.el7.centos.noarch.rpm: 

Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY

Public key for centos-release-scl-2-2.el7.centos.noarch.rpm is not installed

The GPG keys listed for the "Foreman 1.15" repository are already installed but they are not corre

ct for this package.

Check that the correct key URLs are configured for this repository.

 Failing package is: centos-release-scl-rh-2-2.el7.centos.noarch

 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-foreman

History

#1 - 05/19/2017 10:24 AM - John Mitsch

sudo rpm --import https://www.centos.org/keys/RPM-GPG-KEY-CentOS-7  imported the right key

#2 - 05/22/2017 03:32 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Category set to RPMs

Part of the signing procedure was missed, those two RPMs need re-signing: 

http://projects.theforeman.org/projects/foreman/wiki/RPM_Packaging#section-16

#3 - 06/19/2017 06:32 AM - Lukas Zapletal

Our koji outage is over, finally got chance to fix this. Mashed 1.15 with correct signature.

#4 - 06/28/2017 04:37 PM - Dominic Cleal

- Status changed from New to Resolved
